(function (lib, img, cjs) {

var p; // shortcut to reference prototypes
var rect; // used to reference frame bounds

// library properties:
lib.properties = {
	width: 1280,
	height: 720,
	fps: 30,
	color: "#FFFFFF",
	manifest: [
		{src:"images/Bitmap1.png", id:"Bitmap1"},
		{src:"images/Bitmap10.png", id:"Bitmap10"},
		{src:"images/Bitmap11.png", id:"Bitmap11"},
		{src:"images/Bitmap12.png", id:"Bitmap12"},
		{src:"images/Bitmap13.png", id:"Bitmap13"},
		{src:"images/Bitmap14.png", id:"Bitmap14"},
		{src:"images/Bitmap15.png", id:"Bitmap15"},
		{src:"images/Bitmap16.png", id:"Bitmap16"},
		{src:"images/Bitmap17.png", id:"Bitmap17"},
		{src:"images/Bitmap18.png", id:"Bitmap18"},
		{src:"images/Bitmap19.png", id:"Bitmap19"},
		{src:"images/Bitmap2.png", id:"Bitmap2"},
		{src:"images/Bitmap20.png", id:"Bitmap20"},
		{src:"images/Bitmap21.png", id:"Bitmap21"},
		{src:"images/Bitmap22.png", id:"Bitmap22"},
		{src:"images/Bitmap3.png", id:"Bitmap3"},
		{src:"images/Bitmap4.png", id:"Bitmap4"},
		{src:"images/Bitmap5.png", id:"Bitmap5"},
		{src:"images/Bitmap6.png", id:"Bitmap6"},
		{src:"images/Bitmap7.png", id:"Bitmap7"},
		{src:"images/Bitmap8.png", id:"Bitmap8"},
		{src:"images/Bitmap9.png", id:"Bitmap9"}
	]
};

// stage content:
(lib.index = function() {
	this.initialize();

	// exercise
	this.container = new lib.exerciseContainer();
	this.container.setTransform(916.5,389,1,1,0,0,0,916.5,389);

	this.addChild(this.container);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(679.4,410.8,1234.9,615.5);
p.frameBounds = [rect];


// symbols:
(lib.Bitmap1 = function() {
	this.initialize(img.Bitmap1);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,375,214);


(lib.Bitmap10 = function() {
	this.initialize(img.Bitmap10);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,257,104);


(lib.Bitmap11 = function() {
	this.initialize(img.Bitmap11);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,257,104);


(lib.Bitmap12 = function() {
	this.initialize(img.Bitmap12);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,257,104);


(lib.Bitmap13 = function() {
	this.initialize(img.Bitmap13);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,257,104);


(lib.Bitmap14 = function() {
	this.initialize(img.Bitmap14);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,257,104);


(lib.Bitmap15 = function() {
	this.initialize(img.Bitmap15);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,257,104);


(lib.Bitmap16 = function() {
	this.initialize(img.Bitmap16);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,257,104);


(lib.Bitmap17 = function() {
	this.initialize(img.Bitmap17);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,257,104);


(lib.Bitmap18 = function() {
	this.initialize(img.Bitmap18);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,8,8);


(lib.Bitmap19 = function() {
	this.initialize(img.Bitmap19);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,8,8);


(lib.Bitmap2 = function() {
	this.initialize(img.Bitmap2);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,459,264);


(lib.Bitmap20 = function() {
	this.initialize(img.Bitmap20);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,8,8);


(lib.Bitmap21 = function() {
	this.initialize(img.Bitmap21);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,173,70);


(lib.Bitmap22 = function() {
	this.initialize(img.Bitmap22);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,867,525);


(lib.Bitmap3 = function() {
	this.initialize(img.Bitmap3);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,257,104);


(lib.Bitmap4 = function() {
	this.initialize(img.Bitmap4);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,257,104);


(lib.Bitmap5 = function() {
	this.initialize(img.Bitmap5);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,257,104);


(lib.Bitmap6 = function() {
	this.initialize(img.Bitmap6);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,257,104);


(lib.Bitmap7 = function() {
	this.initialize(img.Bitmap7);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,257,104);


(lib.Bitmap8 = function() {
	this.initialize(img.Bitmap8);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,257,104);


(lib.Bitmap9 = function() {
	this.initialize(img.Bitmap9);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,257,104);


(lib.Symbol14 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap17();
	this.instance.setTransform(-86.3,-34.9,0.672,0.672);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-86.3,-34.9,172.7,69.9);
p.frameBounds = [rect];


(lib.Symbol13 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap16();
	this.instance.setTransform(-86.3,-34.9,0.672,0.672);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-86.3,-34.9,172.7,69.9);
p.frameBounds = [rect];


(lib.Symbol12 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap15();
	this.instance.setTransform(-86.3,-34.9,0.672,0.672);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-86.3,-34.9,172.7,69.9);
p.frameBounds = [rect];


(lib.Symbol11 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap14();
	this.instance.setTransform(-86.3,-34.9,0.672,0.672);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-86.3,-34.9,172.7,69.9);
p.frameBounds = [rect];


(lib.Symbol10 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap13();
	this.instance.setTransform(-86.3,-34.9,0.672,0.672);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-86.3,-34.9,172.7,69.9);
p.frameBounds = [rect];


(lib.Symbol9 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap12();
	this.instance.setTransform(-86.3,-34.9,0.672,0.672);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-86.3,-34.9,172.7,69.9);
p.frameBounds = [rect];


(lib.Symbol8 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap11();
	this.instance.setTransform(-86.3,-34.9,0.672,0.672);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-86.3,-34.9,172.7,69.9);
p.frameBounds = [rect];


(lib.Symbol7 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap10();
	this.instance.setTransform(-86.3,-34.9,0.672,0.672);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-86.3,-34.9,172.7,69.9);
p.frameBounds = [rect];


(lib.Symbol6 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap9();
	this.instance.setTransform(-86.3,-34.9,0.672,0.672);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-86.3,-34.9,172.7,69.9);
p.frameBounds = [rect];


(lib.Symbol5 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap8();
	this.instance.setTransform(-86.3,-34.9,0.672,0.672);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-86.3,-34.9,172.7,69.9);
p.frameBounds = [rect];


(lib.Symbol4 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap7();
	this.instance.setTransform(-86.3,-34.9,0.672,0.672);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-86.3,-34.9,172.7,69.9);
p.frameBounds = [rect];


(lib.Symbol3 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap6();
	this.instance.setTransform(-86.3,-34.9,0.672,0.672);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-86.3,-34.9,172.7,69.9);
p.frameBounds = [rect];


(lib.Symbol2 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap5();
	this.instance.setTransform(-86.3,-34.9,0.672,0.672);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-86.3,-34.9,172.7,69.9);
p.frameBounds = [rect];


(lib.Symbol1 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap4();
	this.instance.setTransform(-86.3,-34.9,0.672,0.672);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-86.3,-34.9,172.7,69.9);
p.frameBounds = [rect];


(lib.drop = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap21();
	this.instance.setTransform(-86.5,-35);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-86.5,-35,173,70);
p.frameBounds = [rect];


(lib.drag_1 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap3();
	this.instance.setTransform(-86.3,-34.9,0.672,0.672);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-86.3,-34.9,172.7,69.9);
p.frameBounds = [rect];


(lib.exerciseContainer = function(mode,startPosition,loop) {
if (loop == null) { loop = false; }	this.initialize(mode,startPosition,loop,{});

	// timeline functions:
	this.frame_0 = function() {
		/* Ustawienia */
		var config = {
			id: '22117',
			title: 'Ułóż zdania z rozsypanki wyrazowej.',
			type: 'drag',
			container: this,
			prefix: 'drag_',
			prefix2: 'drop_',
			/*
			groupdrags: {		
				1: ['1', '2', '3', '6'],
			},
			/*
			groupdrops: {
				1: [1,2,3],
				2: [4,5,6],
				3: [7,8,9]
			},
			*/	
			results: [
				/*drop_1:*/ '1',
				/*drop_2:*/ '2',
				/*drop_3:*/ '3',
				/*drop_4:*/ '4',	
				/*drop_5:*/ '5',	
				/*drop_6:*/ '6',	
				/*drop_7:*/ '7',	
				/*drop_8:*/ '8',	
				/*drop_9:*/ '9',	
				/*drop_10:*/ '10',	
				/*drop_11:*/ '11',	
				/*drop_12:*/ '12',	
				/*drop_13:*/ '13',	
				/*drop_14:*/ '14',	
				/*drop_15:*/ '15',	
			],
			range: 20,
			alpha: 1,
			alpha2: 1,
			//scale: 0.8,
			rotation: 'auto',
			//size: 'auto',
			//zindex: 3,
			
			exerciseAfterInit: function(container) {
				//container['drag_1'].rotate = 60;
			},
			exerciseBeforeFinish: function(container) {
				
			},
			exerciseExtraCheck: function(container) {
				
			},
		}
		
		exerciseOnInit(config);
		
		this.stop();
		
		/*---------------------------------------------------------------------------------------------------------------
		/* Help
		/*---------------------------------------------------------------------------------------------------------------
		 
		id - Id cwiczenia
		title - Tytul cwiczenia
		type - Typ Cwiczenia
		contanier - Kontener cwiczenia
		groupdrags - Lista grup dagow oraz przypisane do nich identyfikatory (unikatowa liczba) obiektow bez prefixow
		groupdrags - Lista grup targetow oraz przypisane do nich identyfikatory (unikatowa liczba) obiektow bez prefixow
		prefix - Prefixy w nazwach obiektow
		results - Rozwiazanie jako tablica identyfikatorow. Znak '|' definuje alternatywe, a '&' oznacza sume.	
		Przyklad:
		Cwiczenie typu sort.
		Odpowiedzi: [5,2,1,4,5] - tablica z ulozonymi w odpowiedniej kolejnisci identyfikatorami obiektow sortowanych.
		Cwiczenie typu drag.
		Odpowiedzi: [5,1|3,2&4] - tablica z id obiektow przeciaganych lub grup. W tym wariancie kazdy kolejny element z indexem 'i' w tablicy odpowiada targetowi o nazwie 'prefix+i'.
		np. prawidlowa odpowiedzia dla drop_1 jest obiekt drag_5, dla drop_2 obiekt drag_1 lub drag_3, dla drop_3 obiekt drag_2 oraz drag_4.
		range - Zakres dociagania
		alpha - Przezroczystosc targetu
		alpha2 - Przezroczystosc targetu po najechaniu
		rotation - Dostosowanie obrotu obiektu do targetu
		scale - Skalowanie obiektu po upuszczeniu
		size - Skalowanie obiektu do rozmiarow targetu
		zindex - Pozycja z obiektu
		/*-------------------------------------------------------------------------------------------------------------*/
	}

	// actions tween:
	this.timeline.addTween(cjs.Tween.get(this).call(this.frame_0).wait(1));

	// content
	this.instance = new lib.Bitmap20();
	this.instance.setTransform(1266.3,108);

	this.instance_1 = new lib.Bitmap19();
	this.instance_1.setTransform(742.7,309.6);

	this.instance_2 = new lib.Bitmap18();
	this.instance_2.setTransform(1092.8,510.8);

	this.drag_15 = new lib.Symbol14();
	this.drag_15.setTransform(701,592.2,1,1,6.2);

	this.drag_14 = new lib.Symbol13();
	this.drag_14.setTransform(992.2,578,1,1,-7.7);

	this.drag_13 = new lib.Symbol12();
	this.drag_13.setTransform(550.4,597.1,1,1,-10.5);

	this.drag_12 = new lib.Symbol11();
	this.drag_12.setTransform(865.6,592.2);

	this.drag_11 = new lib.Symbol10();
	this.drag_11.setTransform(233.8,596.1,1,1,-4);

	this.drag_10 = new lib.Symbol9();
	this.drag_10.setTransform(414.8,613.2,1,1,12.7);

	this.drag_9 = new lib.Symbol8();
	this.drag_9.setTransform(674.4,382.7,1,1,15.3);

	this.drag_8 = new lib.Symbol7();
	this.drag_8.setTransform(359.5,383.4,1,1,-6.4);

	this.drag_7 = new lib.Symbol6();
	this.drag_7.setTransform(188.4,386.4,1,1,-4.5);

	this.drag_6 = new lib.Symbol5();
	this.drag_6.setTransform(528.9,399.4,1,1,3.2);

	this.drag_5 = new lib.Symbol4();
	this.drag_5.setTransform(408.3,179.3,1,1,-9.7);

	this.drag_4 = new lib.Symbol3();
	this.drag_4.setTransform(540.9,201.4,1,1,12.7);

	this.drag_3 = new lib.Symbol2();
	this.drag_3.setTransform(961.2,189.4,1,1,-9.2);

	this.drag_2 = new lib.Symbol1();
	this.drag_2.setTransform(800.4,162.6,1,1,15.7);

	this.drag_1 = new lib.drag_1();
	this.drag_1.setTransform(672.6,184.1,1,1,-9.2);

	this.drop_15 = new lib.drop();
	this.drop_15.setTransform(995.3,489.8);

	this.drop_14 = new lib.drop();
	this.drop_14.setTransform(822.3,489.8);

	this.drop_13 = new lib.drop();
	this.drop_13.setTransform(646.9,488.8);

	this.drop_12 = new lib.drop();
	this.drop_12.setTransform(473.9,488.8);

	this.drop_11 = new lib.drop();
	this.drop_11.setTransform(300.9,488.8);

	this.drop_10 = new lib.drop();
	this.drop_10.setTransform(125.9,488.8);

	this.drop_9 = new lib.drop();
	this.drop_9.setTransform(646.9,289.8);

	this.drop_8 = new lib.drop();
	this.drop_8.setTransform(473.9,289.8);

	this.drop_7 = new lib.drop();
	this.drop_7.setTransform(300.9,289.8);

	this.drop_6 = new lib.drop();
	this.drop_6.setTransform(125.9,289.8);

	this.drop_5 = new lib.drop();
	this.drop_5.setTransform(1169.3,86.8);

	this.drop_4 = new lib.drop();
	this.drop_4.setTransform(993.9,85.8);

	this.drop_3 = new lib.drop();
	this.drop_3.setTransform(820.9,85.8);

	this.drop_2 = new lib.drop();
	this.drop_2.setTransform(647.9,85.8);

	this.drop_1 = new lib.drop();
	this.drop_1.setTransform(472.9,85.8);

	this.instance_3 = new lib.Bitmap2();
	this.instance_3.setTransform(797.4,250.7,0.672,0.672);

	this.instance_4 = new lib.Bitmap1();
	this.instance_4.setTransform(64.9,51.8,0.672,0.672);

	this.timeline.addTween(cjs.Tween.get({}).to({state:[{t:this.instance_4},{t:this.instance_3},{t:this.drop_1},{t:this.drop_2},{t:this.drop_3},{t:this.drop_4},{t:this.drop_5},{t:this.drop_6},{t:this.drop_7},{t:this.drop_8},{t:this.drop_9},{t:this.drop_10},{t:this.drop_11},{t:this.drop_12},{t:this.drop_13},{t:this.drop_14},{t:this.drop_15},{t:this.drag_1},{t:this.drag_2},{t:this.drag_3},{t:this.drag_4},{t:this.drag_5},{t:this.drag_6},{t:this.drag_7},{t:this.drag_8},{t:this.drag_9},{t:this.drag_10},{t:this.drag_11},{t:this.drag_12},{t:this.drag_13},{t:this.drag_14},{t:this.drag_15},{t:this.instance_2},{t:this.instance_1},{t:this.instance}]}).wait(1));

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = rect = new cjs.Rectangle(39.4,50.8,1234.9,615.5);
p.frameBounds = [rect];

})(lib = lib||{}, images = images||{}, createjs = createjs||{});
var lib, images, createjs;